[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# ETreeNodeError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception type raised for an error retrieving a tree node.

## Declaration

Source position: comctrls.pp line 2908

`type ETreeNodeError = class(Exception)`

## Inheritance

`ETreeNodeError` |  | Exception type raised for an error retrieving a tree node.
`Exception`
?
`TObject`

## Description

ETreeNodeError is an Exception descendant with the base exception type raised for errors that occur when TTreeNode instances are retrieved. It is the ancestor for the ETreeViewError exception.